#!/bin/bash -e

echo "======================= Installing gcc 10.1.0 ======================"
add-apt-repository ppa:ubuntu-toolchain-r/test
apt-get update
apt-get install -y \
  gcc-10 \
  g++-10
update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-10 100 --slave /usr/bin/g++ g++ /usr/bin/g++-10
update-alternatives --install /usr/bin/gcov gcov /usr/bin/gcov-10 100
gcc --version
echo "================== Successfully Installed gcc 10.1.0 ==============="

echo "=================== Install packages for cpp ======================"

apt-get install && apt-get install -y \
  autoconf \
  automake \
  ccache \
  libssl-dev

CLANG_VERSION=10.0.0
echo "==================== Installing clang $CLANG_VERSION ==============="
wget -nv https://github.com/llvm/llvm-project/releases/download/llvmorg-"$CLANG_VERSION"/clang+llvm-"$CLANG_VERSION"-x86_64-linux-gnu-ubuntu-18.04.tar.xz
tar xf clang+llvm-"$CLANG_VERSION"-x86_64-linux-gnu-ubuntu-18.04.tar.xz
cd clang+llvm-"$CLANG_VERSION"-x86_64-linux-gnu-ubuntu-18.04

cp -R * /usr/local/
cd ../
clang --version

echo "============= Successfully Installed clang $CLANG_VERSION ==========="
